var EventEmitter = require("events").EventEmitter;

module.exports = function (stream) {

  var signals = new EventEmitter();

  stream.on("data", function (buff) {
    if (buff.length === 1 && buff[0] === 3) {
      signals.emit("^C");
    }
    else if (buff.length === 1 && buff[0] === 4) {
      signals.emit("^D");
    }
    else if (buff.length === 3 && buff[0] === 27 && buff[1] === 91) {
      switch (buff[2]) {
        case 65:
          signals.emit("upArrow");
          return;
        case 66:
          signals.emit("downArrow");
          return;
        case 67:
          signals.emit("rightArrow");
          return;
        case 68:
          signals.emit("leftArrow");
          return;
      }
    }
  });

  return signals;
}
